about summary refs log tree commit diff
path: root/hie.sh
diff options
context:
space:
mode:
authorGriffin Smith <root@gws.fyi>2019-08-25T17·28-0400
committerGriffin Smith <root@gws.fyi>2019-08-25T17·28-0400
commitd3f3890dc5408581eb6181125c871d1cf2c0e18f (patch)
treeed6d9e396e6c732b1bce27ea6962ce408b59f218 /hie.sh
parentfb0d1b3e66251aa56a3df1d05fd4b82b33380a31 (diff)
An @-sign in a box, in haskell
Initial commit of a Haskell version of Xanthous, written using Brick and
built with Nix.

This is so much nicer and so much easier
Diffstat (limited to 'hie.sh')
-rwxr-xr-xhie.sh10
1 files changed, 10 insertions, 0 deletions
diff --git a/hie.sh b/hie.sh
new file mode 100755
index 0000000000..4ea97997c7
--- /dev/null
+++ b/hie.sh
@@ -0,0 +1,10 @@
+#!/usr/bin/env bash
+
+cd "$(dirname "${BASH_SOURCE[0]}")" || exit 1
+
+argv=( "$@"  )
+argv=( "${argv[@]/\'/\'\\\'\'}"  )
+argv=( "${argv[@]/#/\'}"  )
+argv=( "${argv[@]/%/\'}"  )
+
+exec nix-shell --pure --run "exec $(nix-build -o dist/nix/hie -A hie)/bin/hie ${argv[*]}"